| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IParameterValue Class Referenceabstract

`#include <AAX_IParameter.h>`

Inheritance diagram for AAX_IParameterValue:
[legend]

## Description

An abstract interface representing a parameter value of arbitrary type.

:Internal to the AAX SDK:

See also
  AAX_IParameter

## Public Member Functions
virtual | ~AAX_IParameterValue ()
| Virtual destructor.
virtual AAX_IParameterValue * | Clone () const =0
| Clones the parameter object.
virtual AAX_CParamID | Identifier () const =0
| Returns the parameter's unique identifier.
Typed accessors
virtual bool | GetValueAsBool (bool *value) const =0
| Retrieves the parameter's value as a bool.
virtual bool | GetValueAsInt32 (int32_t *value) const =0
| Retrieves the parameter's value as an int32_t.
virtual bool | GetValueAsFloat (float *value) const =0
| Retrieves the parameter's value as a float.
virtual bool | GetValueAsDouble (double *value) const =0
| Retrieves the parameter's value as a double.
virtual bool | GetValueAsString (AAX_IString *value) const =0
| Retrieves the parameter's value as a string.

## Constructor & Destructor Documentation

## ◆ ~AAX_IParameterValue()

virtual AAX_IParameterValue::~AAX_IParameterValue | ( |  | ) |
| inline virtual

Virtual destructor.

Note
  This destructor MUST be virtual to prevent memory leaks.

## Member Function Documentation

## ◆ Clone()

virtual AAX_IParameterValue * AAX_IParameterValue::Clone | ( |  | ) | const
| pure virtual

Clones the parameter object.

Note
  Does NOT set the automation delegate on the clone; ownership of the automation delegate and parameter registration/unregistration stays with the original parameter

Implemented in AAX_CParameterValue< T >.

## ◆ Identifier()

virtual AAX_CParamID AAX_IParameterValue::Identifier | ( |  | ) | const
| pure virtual

Returns the parameter's unique identifier.

This unique ID is used by the Parameter Manager and by outside applications to uniquely identify and target control messages. This value may not be changed after the parameter has been constructed.

Implemented in AAX_CParameterValue< T >.

## ◆ GetValueAsBool()

virtual bool AAX_IParameterValue::GetValueAsBool | ( | bool * | value | ) | const
| pure virtual

Retrieves the parameter's value as a bool.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion to bool was successful
  false | The conversion to bool was unsuccessful

Implemented in AAX_CParameterValue< T >, and AAX_CParameterValue< T >.

## ◆ GetValueAsInt32()

virtual bool AAX_IParameterValue::GetValueAsInt32 | ( | int32_t * | value | ) | const
| pure virtual

Retrieves the parameter's value as an int32_t.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion to int32_t was successful
  false | The conversion to int32_t was unsuccessful

Implemented in AAX_CParameterValue< T >, and AAX_CParameterValue< T >.

## ◆ GetValueAsFloat()

virtual bool AAX_IParameterValue::GetValueAsFloat | ( | float * | value | ) | const
| pure virtual

Retrieves the parameter's value as a float.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion to float was successful
  false | The conversion to float was unsuccessful

Implemented in AAX_CParameterValue< T >, and AAX_CParameterValue< T >.

## ◆ GetValueAsDouble()

virtual bool AAX_IParameterValue::GetValueAsDouble | ( | double * | value | ) | const
| pure virtual

Retrieves the parameter's value as a double.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion to double was successful
  false | The conversion to double was unsuccessful

Implemented in AAX_CParameterValue< T >, and AAX_CParameterValue< T >.

## ◆ GetValueAsString()

virtual bool AAX_IParameterValue::GetValueAsString | ( | AAX_IString * | value | ) | const
| pure virtual

Retrieves the parameter's value as a string.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion to string was successful
  false | The conversion to string was unsuccessful

Implemented in AAX_CParameterValue< T >, and AAX_CParameterValue< T >.

The documentation for this class was generated from the following file:

- AAX_IParameter.h